using Blazorise.DataGrid;
using Microsoft.AspNetCore.Components;
using WF_WebAdmin.Model;
using WF_WebAdmin.Service;

namespace WF_WebAdmin.Pages
{
    public partial class ModifQuote
    {
        private Quote[] quotes;

        private int MaxValue = 5;

        private int totalItem;
        
        private bool showEditQuote = false;
        
        private Quote? selectedQuote;

        [Inject]
        public IQuoteService QuoteService { get; set; }

        private async Task OnReadData(DataGridReadDataEventArgs<Quote> e)
        {
            if (e.CancellationToken.IsCancellationRequested)
            {
                return;
            }

            var response = await QuoteService.getSomeQuote(e.PageSize, e.Page);

            if (!e.CancellationToken.IsCancellationRequested)
            {
                totalItem = await QuoteService.getNbQuote();
                quotes = response.ToArray();
            }
        }

        private void OnEditButtonClicked(Quote quote)
        {
            if (selectedQuote == null) return;
            selectedQuote = quote;
            showEditQuote = true;
        }
        
        private void ClosePopup()
        {
            showEditQuote = false;
            selectedQuote = null;
        }

        private async Task EditQuote()
        {
            await QuoteService.updateQuote(selectedQuote);
            selectedQuote = null;
            ClosePopup();
        }
    }
}
