using Blazorise.DataGrid;
using Microsoft.AspNetCore.Components;
using WF_WebAdmin.Model;
using WF_WebAdmin.Service;

namespace WF_WebAdmin.Pages
{
    public partial class ValidQuiz
    {
        private List<Quiz> quizzes;
        

        [Inject]
        public HttpClient Http { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }
        
        [Inject]
        public IQuizServiceJson QuizService { get; set; }

        protected override async Task OnInitializedAsync()
        {
            quizzes = await QuizService.getQuizzesToValidateJson();
        }

        private void OnValidButton(Quiz quiz)
        {
            ValidateQuiz(quiz);
        }
        
        private void ValidateQuiz(Quiz quiz)
        {
            Console.WriteLine($"Quiz {quiz.Id} validated!");
            
            Quiz newQuiz = quiz;
            newQuiz.IsValid = true;

            // Mis à jour de l'état du quiz
            QuizService.updateQuizJson(quiz);
        }

        private void OnRejectButton(Quiz quiz)
        {
            RejectQuiz(quiz);
        }

        private void RejectQuiz(Quiz quiz)
        {
            Console.WriteLine($"Quiz {quiz.Id} rejected!");

            QuizService.removeQuizJson(quiz.Id);
        }
    }
}